<?php
/*
Plugin Name: Payzah Payment Gateway for woocmmerce
Plugin URI: http://payzah.com/
Description: Payzah is third party payment gateway and it's supports KNET & Credit Cards Transactions (VISA & MasterCard) .
Version: 1.1
Author: Payzah
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: payzah
Domain Path: /languages/
*/

defined( 'ABSPATH' ) or exit;

// Make sure WooCommerce is active
if ( ! in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
	return;
}

define('payzah_plugin_dir',WP_PLUGIN_URL . "/" . plugin_basename(dirname(__FILE__)));
define('payzah_image_dir', WP_PLUGIN_URL . "/" . plugin_basename(dirname(__FILE__)) . '/assets/image/');


register_activation_hook(__FILE__, function(){
	/* Silence is Golden */
});

register_deactivation_hook(__FILE__, function(){
	/* Silence is Golden */
});

//required file
require plugin_dir_path( __FILE__ ) . 'includes/hooks.php';
require plugin_dir_path( __FILE__ ) . 'includes/functions.php';
require plugin_dir_path( __FILE__ ) . 'includes/class-payzah-woocommerce-payment-.php';
//payzah plugin initialization
add_action('plugins_loaded', 'payzah_plugin_init'); 
function payzah_plugin_init() {
	load_plugin_textdomain( 'payzah', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
}